Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1570963 - Review Request: nodejs-util-inspect - A cross-browser node.js util.inspect module
Summary: Review Request: nodejs-util-inspect - A cross-browser node.js util.inspect mo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews mozgw 1570978
TreeView+ depends on / blocked
 
Reported: 2018-04-23 21:01 UTC by Jared Smith
Modified: 2018-05-10 09:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 15:43:57 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2018-04-23 21:01:50 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-util-inspect/nodejs-util-inspect.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-util-inspect/nodejs-util-inspect-0.1.8-1.fc29.src.rpm
Description: A cross-browser node.js util.inspect module
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2018-04-23 21:54:09 UTC
DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides npm(foreach) = 2.0.4 needed by nodejs-util-inspect-0.1.8-1.fc29.noarch

 - The dep to npm(foreach) needs to be relaxed.

 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.

Comment 2 Robert-André Mauchin 2018-04-23 22:23:53 UTC
 - You need to relax json3 and object-keys too:

%nodejs_fixdep foreach
%nodejs_fixdep json3
%nodejs_fixdep object-keys

Comment 3 Jared Smith 2018-04-26 10:43:07 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6294.

Comment 4 Gwyn Ciesla 2018-04-26 12:39:04 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-util-inspect

Comment 5 Jared Smith 2018-04-30 15:43:57 UTC
Packaged in Rawhide, closing this issue


Note You need to log in before you can comment on or make changes to this bug.